a13nDocs

获取收件箱条目

一个条目及其处理状态;编辑使用线程 ETag。

GET/api/v1/threads/{thread_id}/inbox/{entry_id}

一个条目及其处理状态;编辑使用线程 ETag。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

thread_id*Thread Id
entry_id*Entry Id

查询参数

view?string

查找资源时使用 compact;detailed 保留原有响应。

默认值"detailed"

可选值

  • "detailed"
  • "compact"
section?|null
offset?Offset

以 Unicode 码点计量的偏移量;通过 next_offset 继续读取。

范围0 <= value
默认值0
limit?Limit

本片段最多包含的 Unicode 码点数。

范围1 <= value <= 4000
默认值4000
version?|

首次读取返回的内容版本;偏移量大于 0 时必填。

query?|

按原文搜索,区分大小写。

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/threads/string/inbox/string"
{  "agent_id": "string",  "agent_revision_id": "string",  "assigned_run_id": "string",  "child_run_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "delivery": "steer",  "failure": {    "code": "string",    "message": "string"  },  "finished_at": "2019-08-24T14:15:22Z",  "id": "string",  "incorporated_checkpoint_seq": 0,  "kind": "message",  "options": {    "configuration": {      "allowed_hosts": [        "string"      ],      "extensions": {        "property1": null,        "property2": null      }    },    "context": {      "headers": {        "property1": "string",        "property2": "string"      }    },    "execution": {      "environment": {        "property1": "string",        "property2": "string"      },      "steering": "boundary",      "tools": {        "foreground_wait_seconds": 0,        "mode": "inline"      }    },    "labels": {      "property1": "string",      "property2": "string"    },    "max_usage": {      "requests": 1    },    "overrides": {      "builtin_skills": [        "platform-operations"      ],      "client_tools": [        {          "description": "string",          "instruction": "string",          "metadata": {            "property1": null,            "property2": null          },          "name": "string",          "parameters_json_schema": {            "property1": null,            "property2": null          },          "permission": "inherit"        }      ],      "connection_tools": [        {          "connection_id": "string",          "permission": "inherit",          "permissions": {            "property1": "allow",            "property2": "allow"          },          "tools": [            "string"          ]        }      ],      "instructions": "string",      "lazy_environment": true,      "media_understanding": {        "audio": "string",        "image": "string",        "video": "string"      },      "model": "string",      "model_characteristics": {        "compact_threshold": 0.9,        "context_window_tokens": 1,        "proactive_context_management_threshold": 0.65      },      "model_settings": {        "property1": null,        "property2": null      },      "output_spec": {        "description": "string",        "name": "string",        "resources": {},        "schema": {          "property1": null,          "property2": null        },        "variants": [          {            "description": "string",            "name": "string",            "resources": {},            "schema": {              "property1": null,              "property2": null            }          },          {            "description": "string",            "name": "string",            "resources": {},            "schema": {              "property1": null,              "property2": null            }          }        ]      },      "plugins": [        {          "config": {            "property1": null,            "property2": null          },          "instance_name": "string",          "plugin_key": "string"        }      ],      "retries": {        "output": 0,        "tools": 0      },      "reviewer": {        "instruction": "string",        "model": "string",        "model_settings": {          "property1": null,          "property2": null        },        "on_error": "deny",        "on_flagged": "deny",        "risk_threshold": "low",        "rules": {          "property1": {            "on_flagged": "deny",            "risk_threshold": "low"          },          "property2": {            "on_flagged": "deny",            "risk_threshold": "low"          }        },        "shell_instruction": "string",        "timeout_seconds": 120      },      "skill_sync": {        "cleanup": false,        "mode": "shared",        "overwrite": true      },      "skills": [        {          "revision_id": "string",          "skill_id": "string"        }      ],      "subagents": {},      "tool_search": {        "config": {          "call_name": "call_tool",          "describe_name": "describe_tool",          "groups_name": "list_tool_groups",          "list_name": "list_tools",          "max_results": 10,          "max_search_bytes": 32768,          "mode": "proxy",          "search_name": "discover_tools"        },        "groups": {          "property1": {            "capabilities": [],            "connections": [],            "description": "string",            "platform": false,            "plugins": []          },          "property2": {            "capabilities": [],            "connections": [],            "description": "string",            "platform": false,            "plugins": []          }        }      },      "toolsets": {        "property1": {          "config": {            "property1": null,            "property2": null          },          "enabled": true,          "tools": {}        },        "property2": {          "config": {            "property1": null,            "property2": null          },          "enabled": true,          "tools": {}        }      }    }  },  "origin_run_id": "string",  "payload": {    "property1": null,    "property2": null  },  "position": 0,  "principal_id": "string",  "status": "pending",  "thread_id": "string"}